Bug 69074 - AS glibc locks up in POSIX timer_delete
AS glibc locks up in POSIX timer_delete
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
2.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 69077
  Show dependency treegraph
 
Reported: 2002-07-17 14:38 EDT by Matt Wilson
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 04:18:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test case (26.16 KB, application/octet-stream)
2002-07-17 14:40 EDT, Matt Wilson
no flags Details

  None (edit)
Description Matt Wilson 2002-07-17 14:38:57 EDT
The attached test case does not complete when run against the glibc in Advanced
Server.  When run against the glibc in Red Hat Linux 7.3, it executes
successfully.  This is a critical issue for standards compliance.
Comment 1 Matt Wilson 2002-07-17 14:40:49 EDT
Created attachment 65686 [details]
test case
Comment 2 Jakub Jelinek 2002-07-23 17:50:09 EDT
I've just tried it in the 2.1AS buildroot and got:
./execl; echo $?
Timers were deleted
0
What's the problem?
Comment 3 Matt Wilson 2002-07-29 14:22:25 EDT
I have a machine which reproduces the problem.
Comment 4 Matt Wilson 2003-10-09 15:44:59 EDT
I'm not sure that I can still reproduce this...
Comment 5 Ulrich Drepper 2004-10-06 04:18:01 EDT
Closing it.  Not reproducible.

Note You need to log in before you can comment on or make changes to this bug.